import Editor from '@modules/editor';
import * as THREE from 'three';
import { IResizeService } from '@modules/editor/service/resize';
type Services = {
    ResizeService: IResizeService;
};
declare class EditorRenderer {
    #private;
    readonly renderer: THREE.WebGLRenderer;
    constructor(editor: Editor, services: Services);
    init(): void;
    render(): void;
}
export default EditorRenderer;
